'use strict';

const Sequelize = require('./index');
const sequelize = require('./test/support').createSequelizeInstance();

const moment = require('moment');

const Book = sequelize.define(
  'books',
  {
    name: Sequelize.STRING,
    publishedAt: {
      type: Sequelize.DATEONLY,
      get() {
        return moment.utc(this.getDataValue('publishedAt')).format('YYYY-MM-DD');
      }
    }
  },
  { timestamps: false }
);

Book
  .sync({ force: true })
  .then(() => {
    return Book.create({
      name: 'August',
      publishedAt: new Date()
    });
  })
  .then(book => {
    console.log(book.get('publishedAt'));

    return Book.findAll();
  })
  .then(books => {
    console.log(books[0].get('publishedAt'));

    return Book.find({
      where: {
        name: 'August'
      }
    });
  })
  .then(book => {
    console.log(book.get('publishedAt'));
  })
  .catch(e => {
    console.dir(e);
  });
